import React, { useState } from "react";
import { View, Text, Button, StyleSheet } from "react-native";
import RadioForm, {
  RadioButton,
  RadioButtonInput,
  RadioButtonLabel,
} from "react-native-simple-radio-button";

export default function PatientRegSix({ navigation, route }) {
  const [selectedOption, setSelectedOption] = useState("");

  const radioOptions = [
    { label: "Heterosexual", value: "Heterosexual" },
    { label: "Gay", value: "Gay" },
    { label: "Lesbian", value: "Lesbian" },
    { label: "Bisexual", value: "Bisexual" },
    { label: "Other", value: "Other" },
  ];

  const handleOptionSelect = (value) => {
    setSelectedOption(value);
  };

  const handleNext = () => {
    var data = {
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      stringDate: route.params.stringDate,
      gender: route.params.gender,
      orphan: route.params.orphan,
      siblingCount: route.params.siblingCount,
      relationshipStatus: route.params.relationshipStatus,
      numberOfChildren: route.params.numberOfChildren,
      sexualPreference: selectedOption,
    };
    navigation.navigate("PatientRegSeven", data);
    console.log(data);
  };

  return (
    <View style={styles.container}>
      <Text style={styles.label}>Sexual Preference:</Text>
      <RadioForm
        radio_props={radioOptions}
        initial={selectedOption}
        onPress={handleOptionSelect}
        formHorizontal={false}
        labelHorizontal={true}
        buttonColor={"#2196f3"}
      />
      <Button title="Next" onPress={handleNext} />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
    padding: 20,
  },
  label: {
    fontSize: 18,
    marginBottom: 10,
  },
});
